<?php
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package construx
 */
$construx_service_section= get_theme_mod('construx_show_service_section','');
if($construx_service_section=='true'){  
$construx_services_title   =  get_theme_mod('construx_services_title');  
$construx_services_subtitle   =  get_theme_mod('construx_services_subtitle'); 
$construx_services_no        = 6;
$construx_services_pages      = array();
$construx_services_icons     = array();

for( $i = 1; $i <= $construx_services_no; $i++ ) {
	$construx_services_pages[]    =  get_theme_mod( "construx_service_page_$i", 1 );
	$construx_services_icons[]    = get_theme_mod( "construx_page_service_icon_$i", '' );
}

$construx_services_args  = array(
	'post_type' => 'page',
	'post__in' => array_map( 'absint', $construx_services_pages ),
	'posts_per_page' => absint($construx_services_no),
	'orderby' => 'post__in'
); 
$construx_services_query = new WP_Query( $construx_services_args );  
?>

<div class="section-padding services">
        <div class="container">
            <div class="row">
                <div class="col-sm-8 offset-sm-2 text-center">
                    <div class="section-title">
                        <?php if($construx_services_title !="") { ?>
                        <h3><?php echo esc_html( $construx_services_title); ?></h3>
                        <?php } ?>
                        <?php if($construx_services_subtitle !="") { ?>
                        <p><?php echo esc_html($construx_services_subtitle); ?></p>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <div class="row">
                  <?php
                   $count = 0;
                    while($construx_services_query->have_posts() && $count <= 5 ) :
                    $construx_services_query->the_post();
                    ?>
                        <div class="col-md-4 col-sm-6 text-center">
                            <div class="single-service-item">
                                <div class="service-wrap">
                                     <?php if($construx_services_icons[$count] !=""){ ?>
                                    <div class="service-icon-tablecell">
                                    <i class="fa <?php echo esc_attr($construx_services_icons[$count]); ?>"></i>
                                    </div>
                                    <?php } ?>
                                </div>
                                <div class="service-text">
                                    <h3><?php the_title(); ?></h3>
                                    <?php the_excerpt(); ?>
                                    <a href="<?php the_permalink() ?>" class="read-more"><?php echo esc_html__('Read More','construx'); ?><i class="fa fa-angle-right"></i></a>
                                </div>
                            </div>
                        </div>
                       <?php
                        $count = $count + 1;
                        endwhile;
                        wp_reset_postdata();
                        ?>            
            </div>
        </div>
    </div>
    <?php
    }
?>